Subject: Re: Piggyback

From: Brian Rosen <[email-masked]>
Date: Thu, 19 Aug 1999 16:07:15 -0400

Okay, I see it.  Sorry for the confusion

The Comment production looks fine.

Brian
> -----Original Message-----
> From: Abdallah Rayhan [mailto:[email-masked]]
> Sent: Thursday, August 19, 1999 3:47 PM
> To: Brian Rosen; [email-masked]
> Subject: Re: Piggyback
>
>
> Brian,
>
> My proposal assumes at least one. You see
> SEP = (WSP|EOL|COMMENT) LWSP is SPACE or TAB
> or EOL or COMMENT followed by any number of LWSP.
>
> So as long as " ", "    ", ";comment", or EOL follows the
> token we are fine. To allow flexibility we also have LWSP.
>
> We need at least one separator and that is what the rule
> says.
>
> As for COMMENTs: the PR would do the job:
> COMMENT = ";" *(SuitChar| WSP) EOL
> and LWSP as
> LWSP = *( WSP | COMMENT | EOL )
> EOL    = (CR [LF] | LF )
>
> I hope this would do the job.
>
> regards
> Abdallah
>
>
>
> Brian Rosen wrote:
>
> > Abdallah
> >
> > I hadn't realized LWSP was zero or more whitespace characters.
> > I don't like your proposal of exactly one.  I'd rather change
> > LWSP to be 1*.  We need to carefully look through the
> grammar and see if
> > there are cases where LWSP really should be zero or more,
> and have two
> > rules.
> >
> > Comments should be permitted.
> >
> > Brian
> >
> > > -----Original Message-----
> > > From: Abdallah Rayhan [mailto:[email-masked]]
> > > Sent: Thursday, August 19, 1999 1:53 PM
> > > To: Brian Rosen
> > > Cc: [email-masked]
> > > Subject: Re: Piggyback
> > >
> > >
> > > This rule has a problem. LWSP between MegacopToken
> > > and mId allows zero or more spaces, lines, or comments.
> > > There must be a seperator of one space between the two.
> > > Same thing applies to mId and rest of RHS and
> > > authenticatedMessage.
> > >
> > > I propose this change to the syntax:
> > >
> > > megacoMessage= LWSP [authenticatedMessage SEP ] message
> > > authenticatedMessage= AuthToken EQUAL SecurityParmIndex
> > >                                         COLON SequenceNum
> > > COLON AuthData
> > > message = MegacopToken SEP mId SEP
> > >                    1*(transactionRequest | transactionAccept |
> > >                        transactionReject  | errorMessage)
> > >
> > > SEP = (WSP|EOL|COMMENT) LWSP
> > >
> > > Do we need COMMENTS ?
> > >
> > > regards
> > > Abdallah Rayhan
> > >
> > >
> > > Brian Rosen wrote:
> > >
> > > > Woops, three flops on the same issue.
> > > >
> > > > When I looked at the ABNF I thought I saw multiple
> > > > transactions per message.  Actually, it's:
> > > > message = MegacopToken LWSP mId LWSP
> > > >                   1*(transactionRequest / transactionAccept /
> > > >                      transactionReject / errorMessage)
> > > >
> > > > That pesky "1*" means only one.
> > > >
> > > > Well, we either rewrite the rule to allow more than one,
> > > > or put back the piggyback text.
> > > >
> > > > Brian
> > >
>